zenilib: MapLongVariableNames Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
MapLongVariableNames Class Reference

`#include <MapLongVariableNames.h>`

Inherits TIntermTraverser.

## Public Member Functions

| MapLongVariableNames (LongNameMap *globalMap)
virtual bool | visitLoop (Visit, TIntermLoop *)
virtual void | visitSymbol (TIntermSymbol *)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()
virtual bool | visitAggregate (Visit visit, TIntermAggregate *)
virtual bool | visitBinary (Visit visit, TIntermBinary *)
virtual bool | visitBranch (Visit visit, TIntermBranch *)
virtual void | visitConstantUnion (TIntermConstantUnion *)
virtual bool | visitSelection (Visit visit, TIntermSelection *)
virtual bool | visitUnary (Visit visit, TIntermUnary *)

## Additional Inherited Members

Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)
Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Detailed Description

Definition at line 46 of file MapLongVariableNames.h.

## Constructor & Destructor Documentation

MapLongVariableNames::MapLongVariableNames | ( | LongNameMap * | globalMap | ) |

Definition at line 78 of file MapLongVariableNames.cpp.

References ASSERT.

## Member Function Documentation

bool MapLongVariableNames::visitLoop | ( | Visit | ,
|  | TIntermLoop * | node
| ) |  |

virtual

Reimplemented from TIntermTraverser.

Definition at line 105 of file MapLongVariableNames.cpp.

References TIntermLoop::getInit(), and TIntermNode::traverse().

void MapLongVariableNames::visitSymbol | ( | TIntermSymbol * | symbol | ) |

virtual

Reimplemented from TIntermTraverser.

Definition at line 84 of file MapLongVariableNames.cpp.

References ASSERT, EvqInvariantVaryingIn, EvqInvariantVaryingOut, EvqUniform, EvqVaryingIn, EvqVaryingOut, TIntermSymbol::getId(), TIntermTyped::getQualifier(), TIntermSymbol::getSymbol(), MAX_SHORTENED_IDENTIFIER_SIZE, NULL, and TIntermSymbol::setSymbol().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/MapLongVariableNames.h
- zenilib/jni/external/angle/src/compiler/MapLongVariableNames.cpp